:root{
  --primary-color:#fff;
  --bg-color: #145cf5;
}
#app>div{
  /* display: flex;
  justify-content: center; */
  /* align-items: center; */
  min-height: 100vh;
  background: url('/images/banner.png') top center no-repeat var(--bg-color);
  background-size: 100%;
}
*{
  padding: 0;
  margin: 0;
}
body{
  margin: auto;
  max-width: 460px;
}
.banner img{
  width: 100%;
}
.form{
  padding: 40px 30px 0;
}
.form-title{
  padding-bottom: 40px;
  color: var(--primary-color);
  font-size: 28px;
  text-align: center;
  font-weight: bold;
  letter-spacing: 4px;
}
.form-item{
  padding: 10px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60%;
  margin: auto;
}
.form-item span{
  display: block;
  color: var(--primary-color);
  font-size: 17px;
  font-weight: bold;
}
.form-item input{
  flex: 1;
  padding: 10px;
  color: var(--primary-color);
  font-size: 20px;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid rgba(255, 255, 255, .5);
  text-align: center;
  /* letter-spacing: 2px; */
}
.form-item input:focus-visible{
  outline: none;
}
.form-item input::placeholder{
  color: var(--primary-color);
  font-size: 16px;
  color: #fccc2d;
}
.form-item button{
  margin-top: 30px;
  padding: 5px 40px;
  color: var(--bg-color);
  font-size: 22px;
  font-weight: bold;
  border: none;
  border-radius: 5px;
  background-color: #fccc2d;
}

/*  */
.result-con{
  margin-top: 40px;
  text-align: center;
  font-weight: bold;
  font-size: 17px;
  letter-spacing: 2px;
  color: var(--primary-color);
  line-height: 34px;
  border: 1px solid var(--primary-color);
  border-radius: 10px;
  padding: 40px 10px;
  width: 85%;
  margin: 40px auto 0;
  background-color: rgba(255, 255, 255, .2);
}
.result-con span{
  color: #f3bd0f;
}


.mask{
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, .5);
}
.mask-box{
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
  padding: 20px;
  width: 70%;
  text-align: center;
  background-color: var(--primary-color);
  box-sizing: border-box;
  border-radius: 5px;
}
.mask-box header{
  font-size: 18px;
  text-align: center;
}
.mask-box main{
  font-size: 14px;
  padding-top: 15px;
  min-height: 100px;
  text-align: center;
}
.mask-box main p{
  line-height: 24px;
}
.mask-box button{
  padding: 8px 20px;
  border: none;
  border-radius: 5px;
  color: var(--primary-color);
  background-color: var(--bg-color);
}